commit b812a051614ffa422a5b8c1b6e145344eb75c64f
Author: freddy77 <freddy77>
Date:   Mon Feb 1 14:56:28 2010 +0000

    make null2 test work using TDS 4.2

diff --git a/ChangeLog b/ChangeLog
index 121ccd2..b38a4a1 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Mon Feb  1 15:55:30 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/dblib/unittests/null2.c: make null2 test work using TDS 4.2
+
 Mon Feb  1 11:15:12 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/connectparams.c src/odbc/odbc.c:
 	- update for trusted connections, support Trusted_Connection
@@ -2274,4 +2277,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2978 2010/02/01 10:16:05 freddy77 Exp $
+$Id: ChangeLog,v 1.2979 2010/02/01 14:56:28 freddy77 Exp $
diff --git a/src/dblib/unittests/null2.c b/src/dblib/unittests/null2.c
index 781441b..6433147 100644
--- a/src/dblib/unittests/null2.c
+++ b/src/dblib/unittests/null2.c
@@ -6,7 +6,7 @@
 
 #include <unistd.h>
 
-static char software_version[] = "$Id: null2.c,v 1.6 2009/04/17 09:54:27 freddy77 Exp $";
+static char software_version[] = "$Id: null2.c,v 1.7 2010/02/01 14:56:28 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static DBPROCESS *dbproc = NULL;
@@ -185,12 +185,14 @@ main(int argc, char **argv)
 
 	test("NVARCHAR(10)", 0);
 #ifndef DBNTWIN32
-	test("NTEXT", 0);
+	if (dbtds(dbproc) >= DBTDS_7_0)
+		test("NTEXT", 0);
 #endif
 
 	test("VARCHAR(MAX)", 0);
 #ifndef DBNTWIN32
-	test("NVARCHAR(MAX)", 0);
+	if (dbtds(dbproc) >= DBTDS_7_0)
+		test("NVARCHAR(MAX)", 0);
 #endif
 
 	dbexit();

